Bug 60679 - root filesystem ext2 to ext3 transition fails with initrd for 2.4.9-31enterprise
root filesystem ext2 to ext3 transition fails with initrd for 2.4.9-31enterprise
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-03-04 14:41 EST by Robert Reynolds
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-05 10:19:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/etc/fstab (842 bytes, text/plain)
2002-03-04 14:42 EST, Robert Reynolds
no flags Details
/etc/lilo.conf (1.06 KB, text/plain)
2002-03-04 14:44 EST, Robert Reynolds
no flags Details

  None (edit)
Description Robert Reynolds 2002-03-04 14:41:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
The root filesystem will only make the transition from ext2 to ext3 if I use 
initrd=/boot/initrd-2.4.9-31.img in lilo.conf, initrd=/boot/initrd-2.4.9-
31enterprise.img will mount root as ext2.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.change lilo.conf to initrd=/boot/initrd-2.4.9-31enterprise.img
2.lilo -v

Actual Results:  cat /proc/mounts shows root as ext2, even though /etc/fstab 
was changed and tune2fs -j was run on root

If I change lilo.con back to initrd=/boot/initrd-2.4.9-31.img then 
cat /proc/mounts shows root as ext3

Expected Results:  root should have mounted as ext 3

Additional info:
Comment 1 Robert Reynolds 2002-03-04 14:42:01 EST
Created attachment 47360 [details]
Comment 2 Robert Reynolds 2002-03-04 14:44:07 EST
Created attachment 47361 [details]
Comment 3 Arjan van de Ven 2002-03-05 05:29:46 EST
The attached lilo.conf looks correct. Is this the one before or after your
change (eg is this the one that works or the one that broke ?)
Comment 4 Robert Reynolds 2002-03-05 09:53:53 EST
The attached lilo.conf is the one that does NOT mount root as ext3, it is 
broken in other words.  If I reboot and use the linux-up label then root is 
mounted as ext3 but of course I lose the smp features of the kernel.
Comment 5 Arjan van de Ven 2002-03-05 10:19:15 EST
This looks like the initrd is corrupt. It's possible to recreate it by hand but
if you still have the kernel rpm handy it's easier to rpm -e kernel-smp-2.4.9-31
and then rpm -i it again
Comment 6 Robert Reynolds 2002-03-05 11:05:33 EST
Case closed, thank you for the tip.  Here is what I did:
1. rpm -e kernel-enterprise-2.4.9-31
2. rpm -ivh kernel-enterprise-2.4.9-31.i686.rpm
3. rm /boot/initrd-2.4.9-31enterprise.img
4. mkinitrd /boot/initrd-2.4.9-31enterprise.img 2.4.9-31enterprise
5. lilo -v
6. reboot and root was mounted as ext3

Upon reflection, I may have initially been careless in mkinitrd and created the
image with 2.4.9-31 instead of 2.4.9-31enterprise.

In any case it works now and I appreciate your help.
Comment 7 Arjan van de Ven 2002-03-05 11:08:43 EST
Note that rpm -i is *supposed* to make the proper initrd for you already ;)

Note You need to log in before you can comment on or make changes to this bug.